Inverters
Parse an OND file and return inverter data
This endpoint is used to parse an OND file. The response will be a valid Inverter object.
POST
/
Inverter
/
ParseONDFile
Parse an OND file and return inverter data
curl --request POST \
--url https://api.plantpredict.terabase.energy/Inverter/ParseONDFile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.plantpredict.terabase.energy/Inverter/ParseONDFile"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.plantpredict.terabase.energy/Inverter/ParseONDFile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"model": "SG3600UD",
"manufacturer": "Sungrow",
"powerRated": 3600,
"apparentPower": 3600,
"minDCPowerThreshold": 18000,
"minVoltage": 915,
"maxMPPVoltage": 1300,
"maxAbsoluteVoltage": 1500,
"maxCurrent": 3300,
"maxElevation": 10,
"outputVoltage": 630,
"usekVACurves": true,
"usePQCurves": false,
"dataSource": 1,
"efficiencyCurves": [
{
"id": 0,
"voltage": 915,
"efficiencyPoints": [
{
"id": 0,
"power": 360,
"efficiency": 98.40999517517662
},
{
"id": 0,
"power": 720,
"efficiency": 98.80000532422251
},
{
"id": 0,
"power": 1080,
"efficiency": 98.91000261287257
},
{
"id": 0,
"power": 1800,
"efficiency": 98.65000212371532
},
{
"id": 0,
"power": 2700,
"efficiency": 98.52999811479269
},
{
"id": 0,
"power": 3600,
"efficiency": 98.30000248753618
}
]
},
{
"id": 0,
"voltage": 1100,
"efficiencyPoints": [
{
"id": 0,
"power": 360,
"efficiency": 98.24000305635565
},
{
"id": 0,
"power": 720,
"efficiency": 98.70999743079813
},
{
"id": 0,
"power": 1080,
"efficiency": 98.81999772714005
},
{
"id": 0,
"power": 1800,
"efficiency": 98.58000432766218
},
{
"id": 0,
"power": 2700,
"efficiency": 98.44999597084276
},
{
"id": 0,
"power": 3600,
"efficiency": 98.23000446400798
}
]
},
{
"id": 0,
"voltage": 1300,
"efficiencyPoints": [
{
"id": 0,
"power": 360,
"efficiency": 98.09999386875037
},
{
"id": 0,
"power": 720,
"efficiency": 98.60000320450011
},
{
"id": 0,
"power": 1080,
"efficiency": 98.7300030606301
},
{
"id": 0,
"power": 1800,
"efficiency": 98.49999824888891
},
{
"id": 0,
"power": 2700,
"efficiency": 98.37999842810625
},
{
"id": 0,
"power": 3600,
"efficiency": 98.19000365757763
}
]
}
],
"kVACurves": [
{
"id": 0,
"elevation": 20,
"kVAPoints": [
{
"id": 0,
"temperature": -25,
"kVA": 3600
},
{
"id": 0,
"temperature": 20,
"kVA": 3600
},
{
"id": 0,
"temperature": 45,
"kVA": 3600
},
{
"id": 0,
"temperature": 50,
"kVA": 3240
},
{
"id": 0,
"temperature": 60,
"kVA": 0
}
]
}
],
"pqCurves": null,
"inverterType": 0,
"id": 0,
"name": "Sungrow SG3600UD",
"description": null,
"companyId": 0,
"company": null,
"ownerId": 0,
"owner": null,
"createdDate": "0001-01-01T00:00:00",
"lastModified": "0001-01-01T00:00:00",
"lastModifiedById": 0,
"lastModifiedBy": null
}{
"message": "The request is invalid.",
"modelState": {
"latitude": [
"The field Latitude must be between -90 and 90."
]
}
}"An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Body
multipart/form-data
Response
Parsed inverter data
kW
LibraryStatusEnum
Available options:
0, 1, 2, 3, 4, 5, 6 DataSourceType
Available options:
1, 2, 3, 4, 5, 6, 7 InverterType
Available options:
0, 1, 2 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
⌘I
Parse an OND file and return inverter data
